Billing Providers

⚠️

IMPORTANT

To follow the steps below, it is essential to have the corresponding Authorization Token. For more information, please refer to the following documentation page: Authorization Token

Get Billing Providers

This endpoint will return all the relevant information about billing providers. This information may be useful when using enpoints like Create Client Billing Information to get relevant information like the provider_id.

💻

Visit our API Reference to test this endpoint.

Endpoint

GET https://app.ecart.com/api/billings/providers

GET https://sandbox.ecartpay.com/api/billings/providers

Headers

Auhtorization: token

Query Parameters

  • keys: Boolean flag to include or exclude provider API keys in the response.
    • true: Include provider API keys and credentials
    • false: Exclude provider API keys and credentials

Examples

Request

curl --location 'https://sandbox.ecartpay.com/api/billings/providers?keys=false' \
--header 'Authorization: eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjY4YTRjMzE1MGIyOGE5NTg0MzA1YTJhYSIsImFjY291bnRfaWQiOiI2OGE0YzMxNTBiMjhhOTU4NDMwNWEyYTYiLCJhY2NvdW50Ijp7ImVtYWlsIjoiaHVnby5tb3JpbkBlY2FydHBheS5jb20iLCJmaXJzdF9uYW1lIjoiSHVnbyIsImxhc3RfbmFtZSI6Ik1vcsOtbiIsInBob25lIjoiNTI4MTE2MTI2NzY3IiwiY291bnRyeSI6Ik1YIiwiY3VycmVuY3kiOiJNWE4iLCJ2ZXJpZmllZCI6dHJ1ZSwiYWN0aXZlIjp0cnVlfSwiaWF0IjoxNzU5NTE2NDQ0LCJleHAiOjE3NTk1MjAwNDR9.lq172Gk2ZIJTY7lY8mWk3vNpiQmzQxZIqU0irqiZom7KYssoPlecNiDOaqayKTjuK5E5JKL8ClCw8umzLNPaIw' \
--header 'Cookie: lang=en'

Response

[
    {
        "id": "6227845d6f5e10a27680b38d",
        "provider": "Factura.com",
        "name": "facturacom",
        "country": "MX",
        "country_name": "Mexico",
        "active": false,
        "baseURL": "https://sandbox.factura.com/api",
        "currencies": [
            "MXN"
        ],
        "payment_methods": {
            "debit": "28",
            "credit": "04",
            "cash": "01",
            "paypal": "31",
            "transfer": "03",
            "default": "99"
        },
        "clients": {
            "attributes": [
                "rfc"
            ]
        },
        "created_at": "2022-03-08T16:10:01.155Z",
        "updated_at": "2022-03-08T16:10:01.155Z"
    },
    {
        "id": "622784a16f5e10a27680b38f",
        "provider": "Siigo",
        "name": "siigo",
        "country": "CO",
        "country_name": "Colombia",
        "active": false,
        "baseURL": "https://api.siigo.com",
        "currencies": [
            "COP"
        ],
        "clients": {
            "attributes": [
                "identification"
            ]
        },
        "taxes": [
            {
                "tax_id": "IVA",
                "value": 16
            }
        ],
        "created_at": "2022-03-08T16:10:01.155Z",
        "updated_at": "2022-03-08T16:10:01.155Z"
    },
    {
        "id": "6227848b6f5e10a27680b38e",
        "provider": "Bsale",
        "name": "bsale",
        "country": "CL",
        "country_name": "Chile",
        "active": false,
        "baseURL": "https://api.bsale.cl",
        "currencies": [
            "CLP"
        ],
        "clients": {
            "attributes": [
                "rut"
            ]
        },
        "created_at": "2022-03-08T16:10:01.155Z",
        "updated_at": "2022-03-08T16:10:01.155Z"
    },
    {
        "id": "622784c56f5e10a27680b391",
        "provider": "CCGFEL",
        "name": "ccgfel",
        "country": "GT",
        "country_name": "Guatemala",
        "baseURL": "https://testws.ccgfel.gt/Api",
        "active": false,
        "currencies": [
            "GTQ"
        ],
        "clients": {
            "attributes": [
                "nit"
            ]
        },
        "email": true,
        "created_at": "2022-03-08T16:10:01.155Z",
        "updated_at": "2022-03-08T16:10:01.155Z"
    },
    {
        "id": "62ab6f2172362c74e1328109",
        "provider": "EcartPay",
        "name": "ecartpay",
        "country": "ES",
        "country_name": "Spain",
        "active": false,
        "currencies": [
            "EUR"
        ],
        "taxes": [
            {
                "tax_id": "IVA",
                "value": 5
            }
        ],
        "clients": {
            "attributes": [
                "taxid"
            ]
        },
        "created_at": "2022-06-16T16:11:01.155Z",
        "updated_at": "2022-06-16T16:11:01.155Z",
        "vies": true
    },
    {
        "id": "62abce8372362c74e1328115",
        "provider": "BsalePe",
        "name": "bsalePe",
        "country": "PE",
        "country_name": "Peru",
        "active": false,
        "baseURL": "https://api.bsale.com.pe",
        "currencies": [
            "PEN"
        ],
        "taxes": [
            {
                "tax_id": "IVA",
                "value": 18
            }
        ],
        "created_at": "2022-06-16T16:10:01.155Z",
        "updated_at": "2022-06-16T16:10:01.155Z"
    },
    {
        "id": "62ab6aa772362c74e1328103",
        "provider": "EcartPay",
        "name": "ecartpay",
        "country": "CA",
        "country_name": "Canada",
        "active": false,
        "currencies": [
            "CAD"
        ],
        "taxes": [
            {
                "tax_id": "VAT",
                "value": 5
            }
        ],
        "created_at": "2022-06-16T16:10:01.155Z",
        "updated_at": "2022-06-16T16:10:01.155Z"
    },
    {
        "id": "622784b36f5e10a27680b390",
        "provider": "iFactura",
        "name": "ifactura",
        "country": "AR",
        "country_name": "Argentina",
        "active": false,
        "created_at": "2022-03-08T16:10:01.155Z",
        "updated_at": "2022-03-08T16:10:01.155Z",
        "baseURL": "https://demo.ifactura.com.ar",
        "currencies": [
            "ARS"
        ],
        "payment_methods": {
            "debit": "2",
            "credit": "3",
            "default": "7"
        }
    },
    {
        "id": "6346fe72fa35de44a5202682",
        "provider": "Tiny",
        "name": "tiny",
        "country": "BR",
        "country_name": "Brazil",
        "active": false,
        "baseURL": "https://api.tiny.com.br",
        "currencies": [
            "BRL"
        ],
        "payment_methods": {
            "debit": "debito",
            "credit": "credito",
            "cash": "dinheiro",
            "transfer": "deposito",
            "default": "multiplas"
        },
        "clients": {
            "attributes": [
                "cpf_cnpj_buyer"
            ]
        },
        "created_at": "2022-10-12T17:47:27.000Z",
        "updated_at": "2022-10-12T17:47:27.000Z"
    },
    {
        "id": "62ab695b72362c74e1328102",
        "provider": "EcartPay",
        "name": "ecartpay",
        "country": "US",
        "country_name": "United States of America",
        "active": false,
        "currencies": [
            "USD"
        ],
        "taxes": [
            {
                "tax_id": "VAT",
                "value": 10
            }
        ],
        "invoice": {
            "attributes": [
                "tax_id"
            ]
        },
        "created_at": "2022-06-16T16:10:01.155Z",
        "updated_at": "2022-06-16T16:10:01.155Z"
    },
    {
        "id": "62aa183e720da9ff408d6275",
        "provider": "EcartPay",
        "name": "ecartpay",
        "country": "IN",
        "country_name": "India",
        "active": false,
        "currencies": [
            "INR"
        ],
        "taxes": [
            {
                "tax_id": "GST",
                "value": 18
            }
        ],
        "clients": {
            "attributes": [
                "gstin"
            ]
        },
        "invoice": {
            "attributes": [
                "gstin",
                "pan"
            ]
        },
        "created_at": "2022-03-08T16:10:01.155Z",
        "updated_at": "2022-03-08T16:10:01.155Z"
    },
    {
        "id": "6715d78af773071c67044f1a",
        "provider": "EcartPay",
        "name": "ecartpay",
        "country": "IT",
        "country_name": "Italy",
        "active": false,
        "currencies": [
            "EUR"
        ],
        "taxes": [
            {
                "tax_id": "IVA",
                "value": 22
            }
        ],
        "invoice": {
            "attributes": [
                "nif"
            ]
        },
        "clients": {
            "attributes": [
                "nif"
            ]
        },
        "email": true,
        "created_at": "2024-10-20T16:11:01.155Z",
        "updated_at": "2024-10-20T16:11:01.155Z",
        "vies": true
    },
    {
        "id": "6715d79ef773071c67044f1b",
        "active": false,
        "clients": {
            "attributes": [
                "nif"
            ]
        },
        "country": "FR",
        "country_name": "France",
        "created_at": "2024-10-20T16:11:01.155Z",
        "currencies": [
            "EUR"
        ],
        "email": true,
        "invoice": {
            "attributes": [
                "nif"
            ]
        },
        "name": "ecartpay",
        "provider": "EcartPay",
        "taxes": [
            {
                "tax_id": "IVA",
                "value": 20
            }
        ],
        "updated_at": "2024-10-20T16:11:01.155Z",
        "vies": true
    }
]

Key values

The id in this response corresponds to the provider_id from Create Client Billing Information